{pkgs, inputs, lib,...}:
{
	imports = [ inputs.noctalia.homeModules.default ];
	programs.noctalia-shell = {
		enable = true;
		settings = {
			general = {
				avatarImage = "/home/joshuaelm/NixOS-configs/pfp.jpg";
				shadowOffsetX = 3;
				shadowOffsetY = 3;
			};
			bar = lib.mkForce {
				position = "top";
				monitors = [ ];
				density = "default";
        showOutline = false;
        showCapsule = true;
        capsuleOpacity = 1;
        backgroundOpacity = 1;
        useSeparateOpacity = false;
        floating = true;
        marginVertical = 4;
        marginHorizontal = 18;
        outerCorners = false;
        exclusive = true;
        hideOnOverview = false;
				widgets = {
					left = [
						{
							id = "ControlCenter";
						}
						{
							id = "Workspace";
						}
					];
					center = [
						{
							id = "Clock";
						}
						{
							id = "MediaMini";
						}
					];
					right = [
						{
							id = "AudioVisualizer";
						}
						{
							id = "Tray";
						}
						{
							id = "plugin:screenshot";
						}
						{
							id = "plugin:screen-recorder";
						}
						{
							id = "Volume";
						}
						{
							id = "Battery";
						}
						{
							id= "Brightness";
						}
					];
				};
			};
			wallpaper = {
				enabled = true;
			};
			appLauncher = {
				terminalCommand = "kitty -e";
				position = "top-center";
			};
			sessionMenu = {
				position = "top_left";
			};
			dock = {
				enabled = false;
			};
			osd = {
				location = "right";
			};
			location = {
				monthBeforeDay = true;
				name = "Cedar Hill, United States";
        weatherEnabled = true;
        weatherShowEffects = true;
        useFahrenheit = true;
        use12hourFormat = false;
        showWeekNumberInCalendar = false;
        showCalendarEvents = false;
        showCalendarWeather = true;
        analogClockInCalendar = false;
        firstDayOfWeek = -1;
        hideWeatherTimezone = false;
        hideWeatherCityName = false;
			};
		};
		plugins = {
			sources = [
				{
					enabled = true;
          name = "Official Noctalia Plugins";
          url = "https://github.com/noctalia-dev/noctalia-plugins";
			}
			];
			states = {
				screen-recorder = {
					enabled = true;
				};
				fancy-audiovisualizer = {
          enabled = true;
       	};
				screenshot = {
					enabled = true;
				};
				kagi-quick-search = {
					enabled = true;
				};
			};
			version = "1";
		};
		
		pluginSettings = {
			screen-recorder = {
				videoCodec = "av1";
			};
			kagi-quick-search = {
				kagiSessionToken = "Ub-qBZk0teotZem9-oDpZsvS8B-6Cof9D0Juqexr_Ow.Oi1cHu5d-9o2UupeBO1ndQ_6CsvoFo2lfEWDnxlnqWc";
			};
		};
		
	};
}
